local make_anim = {}

function make_anim.Elevator()

    anim_elevator = vi:create_animation(0.5)

    elevator = 
        {
        type =  'rotation',
        mesh =  0,
        grp =   {13},
        ref = elevator_pivot,
        axis =  {x=1,y=0,z=0},
        angle = 33*RAD
        }
	
	vi:add_animationcomponent(anim_elevator,0,1,oapi.create_animationcomponent(elevator))

end

function make_anim.Aileron()    

    -- Left aileron

    anim_laileron = vi:create_animation(0.5)

    laileron =
        {
        type =  'rotation',
        mesh =  0,
        grp =   {15},
        ref = left_aileron_pivot,
        axis =  {x=1,y=0,z=0},
        angle = -40*RAD
        }
	
	vi:add_animationcomponent(anim_laileron,0,1,oapi.create_animationcomponent(laileron))
	
	-- Right aileron

    anim_raileron = vi:create_animation(0.5)

    raileron =
        {
        type =  'rotation',
        mesh =  0,
        grp =   {17},
        ref = right_aileron_pivot,
        axis =  {x=1,y=0,z=0},
        angle = 40*RAD
        }
	
	vi:add_animationcomponent(anim_raileron,0,1,oapi.create_animationcomponent(raileron))

end

function make_anim.Rudder()

    anim_rudder = vi:create_animation(0.5)

    rudder = 
        {
        type =  'rotation',
        mesh =  0,
        grp =   {11},
        ref = rudder_pivot,
        axis =  {x=0,y=1,z=0},
        angle = -33*RAD
        }
	
	vi:add_animationcomponent(anim_rudder,0,1,oapi.create_animationcomponent(rudder))

end

function make_anim.Propeller()

    anim_propeller = vi:create_animation(0.5)

    propeller = 
        {
        type =  'rotation',
        mesh =  0,
        grp =   {24},
        ref = prop_hub,
        axis =  {x=0,y=0,z=1},
        angle = -360*RAD
        }
	
	vi:add_animationcomponent(anim_propeller,0,1,oapi.create_animationcomponent(propeller))

end

function make_anim.Altimeter()

    anim_altimeter = vi:create_animation(0.25)

    altimeter = 
        {
        type =  'rotation',
        mesh =  0,
        grp =   {25},
        ref = altimeter_needle_axis,
        axis =  {x=0,y=0,z=-1},
        angle = 360*RAD
        }
	
	vi:add_animationcomponent(anim_altimeter,0,1,oapi.create_animationcomponent(altimeter))

end

function make_anim.Vertical_Speed()

    anim_vertical_speed = vi:create_animation(0.0)

    vertical_speed =
    
        {
        type =  'rotation',
        mesh =  0,
        grp =   {26},
        ref = vertical_speed_needle_axis,
        axis =  {x=0,y=0,z=-1},
        angle = 360*RAD
        }
	
	vi:add_animationcomponent(anim_vertical_speed,0,1,oapi.create_animationcomponent(vertical_speed))

end

function make_anim.Airspeed()

    anim_airspeed = vi:create_animation(0.28)

    airspeed =

        {
        type =  'rotation',
        mesh =  0,
        grp =   {27},
        ref = airspeed_needle_axis,
        axis =  {x=0,y=0,z=-1},
        angle = 320*RAD
        }
	
	vi:add_animationcomponent(anim_airspeed,0,1,oapi.create_animationcomponent(airspeed))

end

function make_anim.Tachometer()

    anim_tachometer = vi:create_animation(0.15)

    tachometer =

        {
        type =  'rotation',
        mesh =  0,
        grp =   {28},
        ref = tachometer_needle_axis,
        axis =  {x=0,y=0,z=-1},
        angle = -267*RAD
        }
	
	vi:add_animationcomponent(anim_tachometer,0,1,oapi.create_animationcomponent(tachometer))

end

function make_anim.Compass()

    anim_compass = vi:create_animation(0)

    compass =

        {
        type =  'rotation',
        mesh =  0,
        grp =   {29},
        ref = compass_wheel_axis,
        axis =  {x=0,y=1,z=0},
        angle = -360*RAD
        }
	
	vi:add_animationcomponent(anim_compass,0,1,oapi.create_animationcomponent(compass))

end

return make_anim